Package eu.mhsl.minenet.minigames.instance.game.minigame.config

# Class Option<T>

java.lang.Object
eu.mhsl.minenet.minigames.instance.game.minigame.config.Option<T>

Direct Known Subclasses:
  `BoolOption`, `NumericOption`

public abstract class Option<T> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected T`
  `currentValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Option(String id, net.minestom.server.item.Material item, String name, List<T> options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAsInt()`
  `String`
  `getAsString()`
  `net.minestom.server.item.ItemStack`
  `getCurrent()`
  `String`
  `getId()`
  `net.minestom.server.item.ItemStack`
  `getNext()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### currentValue

    protected T currentValue

- ## Constructor Details

  - ### Option

    public Option(String id, net.minestom.server.item.Material item, String name, List<T> options)

- ## Method Details

  - ### getNext

    public net.minestom.server.item.ItemStack getNext()

  - ### getCurrent

    public net.minestom.server.item.ItemStack getCurrent()

  - ### getAsInt

    public int getAsInt()

  - ### getAsString

    public String getAsString()

  - ### getId

    public String getId()